Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui
Interface LogoPainter

All Known Implementing Classes:
  BarLogoPainter, StackedLogoPainter, TextLogoPainter

    public interface LogoPainter

The interface for something that will draw the sequence logo for a state.

A StateLogo object claims the screen realestate for rendering, and does the calculations for sizes & information and the like. The LogoPainter renders this information onto a graphics context. It is given the StateLog to render, so that a single LogoPainter can be shared among many state logos.

Author:
  Matthew Pocock

Method Summary
`void` | `paintLogo(LogoContext lCtxt)` Render the state from sl onto the graphics object g.

Method Detail

### paintLogo

    void paintLogo(LogoContext lCtxt)

  Render the state from sl onto the graphics object g.

  Parameters:
    `lCtxt` - the LogoContext to render

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD